/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.common.context;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface Plateform {
  public static final String LINUXOS = "LINUX";
  public static final String WINOS = "WIN32";
  public static final String POCKETPCOS = "PPC";
  public static final String UNKNOWNOS = "UNKNOWN";
  
  /**
   * Return the OS of the plateform that execute the application.
   * OS can be WIN32, Linux, PPC, Unknown
   * @return
   */
  public String getOS();
 
  /**
   * Return the OS version of the plateform that execute the application.
   * Default implementation return the JVM property os.version
   * @return
   */
  public String getOSVersion();
  
  
  /**
   * Return the JVM vendor.
   * Default implementation return JVM property java.vendor
   * @return
   */
 public String getJVMVendor();
 
 
 /**
  * Return the JVM Specification version.
  * Default implementation return the JVM property java.specification.version
  * @return
  */
 public String getJVMSpecificationVersion();
  
  /**
   * return the major version number of OpenMobileIS.
   * @return
   */
  public  String getOpenMobileISMajorVersion();
  
  /**
   * return the minir version number of OpenMobileIS.
   * @return
   */
  public  String getOpenMobileISMinorVersion();

}
