/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.context;

import java.util.Calendar;
import java.util.Enumeration;
import java.util.Hashtable;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionContext;

public class SessionContext implements HttpSession {

  private String sessionId;
  private Hashtable attributMap = null;
  private Hashtable namesMap = null;
  private long lastAccessTime;
  private int MaxInactiveInterval;
  private boolean isNew = false;
  private long creationTime;
  private UserTerminal terminal;
  private String userId;
  private String userGroup;

  
  public String getUserGroup() {
    return userGroup;
  }

  public void setUserGroup(String userGroup) {
    this.userGroup = userGroup;
  }

  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public SessionContext(String id) {
    sessionId = id;
    attributMap = new Hashtable(10);
    namesMap = new Hashtable(10);
    this.creationTime = Calendar.getInstance().getTime().getTime();
  }

  public long getCreationTime() {
    return creationTime;
  }


  public String getId() {
    return sessionId;
  }


  public long getLastAccessedTime() {
    return lastAccessTime;
  }


  public ServletContext getServletContext() {
    // TODO Auto-generated method stub
    return null;
  }


  public void setMaxInactiveInterval(int arg0) {
    MaxInactiveInterval = arg0;
  }


  public int getMaxInactiveInterval() { 
    return MaxInactiveInterval;
  }


  public HttpSessionContext getSessionContext() {
    // TODO Auto-generated method stub
    return null;
  }

  public Object getAttribute(String attributName) {
    if (attributName != null) {
      return attributMap.get(attributName);
    }
    return null;
  }


  //Deprecated. As of Version 2.2, this method is replaced by getAttribute(java.lang.String).
  public Object getValue(String name) {
    if (name != null) {
      return namesMap.get(name);
    }
    return null;
  }


  public Enumeration getAttributeNames() {
    return namesMap.keys();
  }

  //Deprecated. As of Version 2.2, this method is replaced by getAttributeNames()
  public String[] getValueNames() {
   
   Enumeration enum = namesMap.keys();
   String[] names = new String[10];
   int i = 0;
   while(enum.hasMoreElements()){
      names[i] = enum.toString();
      enum.nextElement();
      i++;
    }
    return names;    
  }


  public void setAttribute(String attributName, Object attribut) {
    if ((attributName != null) && (attribut != null))  {
      attributMap.put(attributName, attribut);
    }
  }

  //Deprecated. As of Version 2.2, this method is replaced by setAttribute(java.lang.String, java.lang.Object)
  public void putValue(String name, Object obj) {
    if ((name != null) && (obj != null))  {
      namesMap.put(name, obj);
    }
  }


  public void removeAttribute(String attributName) {
    if (attributName != null)  {
      attributMap.remove(attributName);
    }
  }

  //Deprecated. As of Version 2.2, this method is replaced by setAttribute(java.lang.String, java.lang.Object)
  public void removeValue(String name) {
    if (name != null)  {
      namesMap.remove(name);
    }
  }
  /**
   * remove all attribute of the session.
   *
   */
  public void clearAttribute()  {
    
  }


  public void invalidate() {
    SessionContextManager.getManager().invalidateSession(sessionId);
  }
  
  public void SetIsNew(boolean bool){
    isNew = bool;
  }
  
  public boolean isNew() {
    return isNew;
  }

  public UserTerminal getTerminal() {
    return terminal;
  }

  public void setTerminal(UserTerminal terminal) {
    this.terminal = terminal;
  }

}
