/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.common.user.profil;

import org.openmobileis.common.util.OpenMISSerializable;

/**
 * Struct definition : Profil
 * 
*/
public final class Profil implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;
    /**
     * Struct member userID
     */
    public String userID;

    /**
     * Struct member profilProperties
     */
    public ProfilProperty[] profilProperties;

    /**
     * Struct member profilRubric
     */
    public ProfilRubric[] profilRubric;

    /**
     * Default constructor
     */
    public Profil()  { }

    /**
     * Constructor with fields initialization
     * @param userID userID struct member
     * @param profilProperties profilProperties struct member
     * @param profilRubric profilRubric struct member
     * @param completeSynchro completeSynchro struct member
     */
    public Profil(String userID, ProfilProperty[] profilProperties, ProfilRubric[] profilRubric)  {
        this.userID = userID;
        this.profilProperties = profilProperties;
        this.profilRubric = profilRubric;
    }

}
