/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */


package org.openmobileis.common.util;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: some facility method to format string
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class StringFormater {

	/** 
	 * remove string accent
	 *
	 * @param str : String to be formated
	 * @return formated string
	 */
	public static String removeAccent(String str) {
		char[] retc = new char[str.length()];
		char[] inc = str.toCharArray();
		int c;
		for (int i = 0; i < inc.length; i++) {
			c = (int) inc[i];
			if (c > 223) {
				switch (c) {
				case 232:
					retc[i] = 'e';
					break;
				case 233:
					retc[i] = 'e';
					break;
				case 234:
					retc[i] = 'e';
					break;
				case 235:
					retc[i] = 'e';
					break;
				case 224:
					retc[i] = 'a';
					break;
				case 225:
					retc[i] = 'a';
					break;
				case 226:
					retc[i] = 'a';
					break;
				case 227:
					retc[i] = 'a';
					break;
				case 228:
					retc[i] = 'a';
					break;
				case 249:
					retc[i] = 'u';
					break;
				case 250:
					retc[i] = 'u';
					break;
				case 251:
					retc[i] = 'u';
					break;
				case 252:
					retc[i] = 'u';
					break;
				case 238:
					retc[i] = 'i';
					break;
				case 239:
					retc[i] = 'i';
					break;
				case 244:
					retc[i] = 'o';
					break;
				case 245:
					retc[i] = 'o';
					break;
				case 246:
					retc[i] = 'o';
					break;
				default:
					retc[i] = inc[i];
					break;
				} // end switch
			} else {
				retc[i] = inc[i];
			}
		}
		return new String(retc);
	}

	/** 
	 * replace string line feed with HTML tag <BR>
	 *
	 * @param str : String to be formated
	 * @return formated string
	 */
	public static String replaceLinefeedWithBR(String input) {
		StringBuffer ret = new StringBuffer();
		char[] inc = input.toCharArray();
		for (int i = 0; i < inc.length; i++) {
			if (inc[i] == '\n') {
				ret.append("<BR>");
			} else {
				ret.append(inc[i]);
			}
		}
		return ret.toString();
	}

	/** 
	 * test method
	 *
	 */
	public static void main(String[] args) {

		//test uppercase
		char[] chr = "".toCharArray();
		char[] chr2 = "EEAUOUIOUIAAEE".toCharArray();
		for (int i = 0; i < chr.length; i++) {
			System.out.println("chr :" + ((int) chr[i]) + " Upper :"
					+ (chr2[i]));
		}
		//	test = test.toUpperCase(Locale.US);
		System.out
				.println(StringFormater
						.removeAccent("d deeztr zf dfds rsfg    ( - u,  sdferez   _ "));
	}
}
