/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.util.exception;

import org.openmobileis.common.util.log.LogServices;

/**
	* Title:        OpenMobileIS project source
	* The exception for synchronization process
	*
	* @author Philippe Delrieu
	* @version 1.0
	* @since JDK1.1
	*
**/


public class SynchroException extends OpenMISException {
  static final long serialVersionUID = 5521257935120563452L;



  public SynchroException() {
   super();
  }

  public SynchroException(int priority) {
    super(priority);
  }

  public SynchroException(String msg) {
    super(msg);
  }

  public SynchroException(String msg, int priority) {
    super(msg, priority);
  }

  public SynchroException(String msg, Throwable t) {
    super(msg, t);
  }

  public SynchroException(String msg, Throwable t, int priority) {
    super(msg, t, priority);
  }

  public SynchroException(Throwable t) {
    super(t);
  }

  public SynchroException(Throwable t, int priority) {
    super(t, priority);
  }

  /**
   * return  the service id : LogServices.SYNCHROSERVICE
   * @return int LogServices.SYNCHROSERVICE
   * @see org.openmobileis.common.util.log.LogServices
   */  
  public int getService()  {
   return LogServices.SYNCHROSERVICE;
  }
}