/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2002  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2002 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.util.log;

import java.io.File;
import java.util.Properties;

import org.openmobileis.common.context.ApplicationContextManager;
/**
 * Title:        OpenMobileIS project source <BR>
 * define the LogManager to Log in a File. The File is define by specifing the property LOGFILE.
 * Implements an archiving system. Define the property LOGDIRARCHIVE to define the directory where log are archived.
 * Directory must end with file separator.
 * @author P.Delrieu
 * @version 1.0
 * @since JDK1.1
 */
public class FileOpenCloseLogManager extends LogManager {

  protected FileOpenCloseLogManager(Properties props) {
    // super(props);
    tracer = new FileOpenCloseLogTracer();
    tracer.setLogTracerProperties(props);
  }

  public synchronized static LogManager getInstance(Properties props) {
    if ( instance == null ) {
      instance = new FileOpenCloseLogManager(props);
      ApplicationContextManager.getManager().addManager(instance);
    }
    return instance;
  }
  
  public File getLogFile()	{
    return ((FileOpenCloseLogTracer)tracer).getLogFile();
  }
}