/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.common.util.log;

/**
 * Define service const to identify service. If no service can be defined use the DEFAULTSERVICE const.
 * @author P.Delrieu
 * @version 1.0
 * @since JDK1.1
 */
 public class LogServices {
  public final static int SYNCHROSERVICE = 1;
  public final static int SECURITYSERVICE = 2;
   public final static int SERVERSERVICE = 3;
  public final static int DEFAULTSERVICE = 4;
  public final static int DATABASESERVICE = 5;
  public final static int SERVICESERVICE = 6;
  public final static int WEBSERVICE = 7;

  public final static String toString(int service)  {
    String ret = "";
    switch (service)  {
      case WEBSERVICE :
        ret = "WebService";
        break;
      case SYNCHROSERVICE :
        ret = "SynchroService";
        break;
      case SECURITYSERVICE :
        ret = "SecurityService";
        break;
      case SERVERSERVICE :
        ret = "SERVERSERVICE";
        break;
      case DEFAULTSERVICE :
        ret = "DEFAULTSERVICE";
        break;
      case DATABASESERVICE :
        ret = "DATABASESERVICE";
        break;
      case SERVICESERVICE :
          ret = "ServiceService";
          break;
      default :
        ret = "UKNOWNSERVICE";
        break;
    }
    return ret;
  }

}