/*
 * $Id: Evaluation.java,v 1.2 2005/09/02 09:05:53 dev Exp $
 * S.O.D.A.  -  Simple Object Database Access
 */
package org.odbms;

import org.openmobileis.common.util.OpenMISSerializable;


/**
 * for implementation of callback evaluations.
 * <br><br>
 * To constrain a Query node with your own callback
 * <code>Evaluation</code>, construct an object that implements the
 * <code>Evaluation</code> interface and register it by passing it
 * to Query#constrain(Object) Query#constrain(Object)}.
 * <br><br>
 * Evaluations are called as the last step during query execution,
 * after all other constraints have been applied. Evaluations in higher
 * level  Query nodes in the query graph are called first.
 */
public interface Evaluation extends OpenMISSerializable {
	
	/**
	 * callback method during Query#execute query execution.
	 * @param Candidate reference to the candidate persistent object.
	 */
	public void evaluate(Candidate candidate);
	
}
