/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb;

import org.openmobileis.common.util.OpenMISSerializable;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class FODBCollectionDescriptor implements OpenMISSerializable {
  static final long serialVersionUID = 5521257935120563452L;
  private String collectionName;
  private Class objectType;
  private boolean synchronize;
  private boolean compressed;
  
  /**
   * 
   */
  public FODBCollectionDescriptor(String collectionName, Class objectType) {
    super();
    this.collectionName = collectionName;
    this.objectType = objectType;
    this.synchronize = true;
    this.compressed = false;
  }

  /**
   * if isCompressed return true, all stored data object in the collection are zipped.
   * To gzip collection allow to gain around 25% of the collection file length but increase the
   * synhro file size for complete synchro.
   * @param gzip
   */
  public boolean isCompressed() {
    return compressed;
  }

  /**
   * if set to true, all stored data object in the colleciton are zipped.
   * To gzip collection allow to gain around 25% of the collection file length but increase the
   * synhro file size for complete synchro.
   * @param gzip
   */
  public void setCompressed(boolean compressed) {
    this.compressed = compressed;
  }

  public boolean isSynchronize() {
    return synchronize;
  }

  public void setSynchronize(boolean synchronize) {
    this.synchronize = synchronize;
  }

  public String getCollectionName() {
    return collectionName;
  }

  public Class getObjectType() {
    return objectType;
  }

}
