/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.exception;

import org.openmobileis.common.util.log.*;
import org.openmobileis.database.DatabaseException;

public class FODBException extends DatabaseException {
  static final long serialVersionUID = 5521257935120563452L;

	public FODBException() {
	 super();
	}

	public FODBException(int priority) {
		super(priority);
	}

	public FODBException(String msg) {
		super(msg);
	}

	public FODBException(String msg, int priority) {
		super(msg, priority);
	}

	public FODBException(String msg, Throwable t) {
		super(msg, t);
	}

	public FODBException(String msg, Throwable t, int priority) {
		super(msg, t, priority);
	}

	public FODBException(Throwable t) {
		super(t);
	}

	public FODBException(Throwable t, int priority) {
		super(t, priority);
	}

	public int getService()  {
	 return LogServices.SERVERSERVICE;
	}
}
