/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.query.soda;

import org.odbms.Constraint;
import org.openmobileis.common.util.collection.LongArray;
import org.openmobileis.database.fastobjectdb.db.exception.FODBException;

/**
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public abstract class BaseConstraint  implements Constraint {
	public static final int COMPARATOR_NONE=0;
	public static final int EQUALS=1;
	public static final int GREATER=2;
	public static final int SMALLER=3;
	public static final int IDENTITY=4;
	public static final int LIKE=5;
	public static final int CONTAINS=6;
	public static final int NOT=7;
	public static final int EQUALGREATER=9;
	public static final int EQUALSMALLER=10;
	public static final int DISTINCT=11;
	
	public static final int CONSTRAINT_NONE=10;
	public static final int CONSTRAINT_AND=11;
	public static final int CONSTRAINT_OR=12;
	
	private BaseConstraint nextConstraint;
	protected int nextContraintLink = CONSTRAINT_AND;
  /**
   * 
   */
  public BaseConstraint() {
    super();
  }

  /**
   * @return
   */
  public BaseConstraint getNextConstraint() {
    return nextConstraint;
  }

  /**
   * @param constraint
   */
  public void setNextConstraint(BaseConstraint constraint, int link) {
    nextConstraint = constraint;
		nextContraintLink = link;
  }
  
	protected abstract void execute(LongArray longArray) throws FODBException	;

}
