/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.query.soda;

/**
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public abstract class SodaIndexComparator {
	public static final int INF_EQUALS_TRAVERSAL = 1;
	public static final int SUP_EQUALS_TRAVERSAL = 2;
	public static final int FULL_TRAVERSAL = 3;

	public abstract boolean setOperand(Object ope);
  
  public abstract boolean addComparator(int comparator);
  
  public abstract int getSearchAlgo();
	public abstract void mergeIndexComporator(SodaIndexComparator index);
	
	protected int getTraversalWayWithComparator(int comp)	{
		switch (comp)	{
			case BaseConstraint.EQUALS:
			case BaseConstraint.EQUALSMALLER:
			case BaseConstraint.SMALLER:
			case BaseConstraint.IDENTITY:
			case BaseConstraint.LIKE:
				return SodaIndexComparator.INF_EQUALS_TRAVERSAL;
			case BaseConstraint.EQUALGREATER:
			case BaseConstraint.GREATER:
				return SodaIndexComparator.SUP_EQUALS_TRAVERSAL;
			case BaseConstraint.NOT:
			case BaseConstraint.CONTAINS:
			case BaseConstraint.DISTINCT:
			default:
				return SodaIndexComparator.FULL_TRAVERSAL;
		}
	}

  

}
