/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.store;

import java.io.*;

import org.openmobileis.database.fastobjectdb.FODBCollectionDescriptor;

/**
 */
public class FODBCollectionFileHeader implements Externalizable {
  static final long serialVersionUID = 5521257935120563452L;

	private long indexTablePos;
	private FODBCollectionDescriptor descriptor;
	
	public FODBCollectionFileHeader() {
	}
	
	public FODBCollectionFileHeader(FODBCollectionDescriptor descriptor) {
	//	objectType = objType;
		this.descriptor = descriptor;
	}
	
	public long getIndexTablePos() {
		return indexTablePos;
	}
	
	public long setIndexTablePos(long pos) {
		indexTablePos = pos;
		return indexTablePos;
	}
	
	public Class getObjectType() {
		return descriptor.getObjectType();
	}
	
	public String toString() {
		String result = "       FODBCollectionFileHeader[" + descriptor.getObjectType().getName() + ", " + indexTablePos + "]";
		
		return result;
	}
	
	public void writeExternal(ObjectOutput out) throws IOException {
		out.writeLong(indexTablePos);
		out.writeObject(this.descriptor);
	}
	
	public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException {
		indexTablePos = in.readLong();
		this.descriptor = (FODBCollectionDescriptor) in.readObject();
	}

  public FODBCollectionDescriptor getDescriptor() {
    return descriptor;
  }

  public void setDescriptor(FODBCollectionDescriptor descriptor) {
    this.descriptor = descriptor;
  }

}
