/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.test;

import java.io.Serializable;

/**
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class TestData implements Serializable {
  static final long serialVersionUID = 5521257935120563452L;
	public static int NB_BEGIN_KEY_LETTER = 2;

	private String key;
	private String begin = null;
  private String toModify = null;
  /**
   * 
   */
  public TestData(String key) {
    super();
    this.key = key;
		if (key.length() >= NB_BEGIN_KEY_LETTER) {
			begin = key.substring(0, NB_BEGIN_KEY_LETTER);
		} else {
			begin = key;
		}
  }

  /**
   * @return
   */
  public String getKey() {
    return key;
  }
  
  public String getDebKey()	{
		return begin;
  }
	
	public boolean equals(Object obj)	{
		if (key.equals(((TestData)obj).key))	{
			return true;
		}
		return false;
	}
	
	public int hashCode()	{
		return key.hashCode();
	}

  public String getToModify() {
    return toModify;
  }

  public void setToModify(String toModify) {
    this.toModify = toModify;
  }

}
