/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */
package org.openmobileis.database.fastobjectdb.db.util;

import java.lang.reflect.*;

/**
 * @author Romain Beaugrand
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class FODBUtils {
	static final int VAR = 1;
	static final int METHOD = 2;
	
	public static AccessibleObject getMember(Class objType, String memberName) {
		int memberType = VAR;	// default value. We'll test it and confirm or change it.
		
		if (memberName.indexOf("()") == memberName.length() - 2) {
			memberType = METHOD;
			memberName = memberName.substring(0, memberName.length() - 2);
		}
		
		if (memberType == METHOD) {
			Method method = null;
			try {
				method = objType.getMethod(memberName, null);
				return method;
			} catch (NoSuchMethodException ex) {
				return null;
			}
		} else {	// memberType == VAR
			Field field = null;
			try {
				field = objType.getField(memberName);
				return field;
			} catch (NoSuchFieldException ex) {
				return null;
			}
		}
		
		// This point is never reached.
	}
}
