/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb.synchro.client;

import org.openmobileis.synchro.openmsp.client.OpenMSPSynchroManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class DefaultOpenMSPSynchroFODBConnector implements SynchroFODBConnector {

  /**
   * 
   */
  public DefaultOpenMSPSynchroFODBConnector() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBConnector#registerCollection(java.lang.String)
   */
  public void registerCollection(String collectioname) {
    OpenMSPSynchroManager.getManager().addListener(new OpenMSPFODBSyncListener(collectioname), null);
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBConnector#registerSynchroFODBReturnListener(java.lang.String, org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener)
   */
  public void registerSynchroFODBReturnListener(String collectionName, SynchroFODBReturnListener retlistener) {
    OpenMSPFODBSyncListener listener = (OpenMSPFODBSyncListener)OpenMSPSynchroManager.getManager().getListenerByName(collectionName);
    listener.registerSynchroListener(retlistener);
  }

}
