/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.database.fastobjectdb.synchro.server;

import org.openmobileis.common.context.ApplicationContextManager;
import org.openmobileis.common.context.UserTerminal;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.openmsp.protocol.test.TestOpenMSPSynchroTargetListener;
import org.openmobileis.synchro.openmsp.server.synctarget.SynchroTargerManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class FODBSynchroManager {
	
	protected static FODBSynchroManager manager;

  /**
   * 
   */
  private FODBSynchroManager() {
    super();
  }
  
  public static FODBSynchroManager getManager()	{
  	if (manager == null)	{
  		synchronized (FODBSynchroManager.class)	{
  			if (manager == null)	{
  				manager = new FODBSynchroManager();
					ApplicationContextManager.getManager().addManager(manager);
 				}
  		}
  	}
  	return manager;
  }
  
  public void registerCollection(FODBSyncTarget syncService) {
    try {
      FODBOpenMSPSynchroTargetWrapper listenerTarget = new FODBOpenMSPSynchroTargetWrapper(syncService);
      SynchroTargerManager.getManager().addSynchroTargetListener(listenerTarget, null, null);
    } catch (Exception ex)  {
      LogManager.traceError(0,"FODBSynchroManager registerCollection register service error");
      LogManager.traceError(0,ex);
   }
  }
  
  public void registerSynchroTargetWrapper(FODBOpenMSPSynchroTargetWrapper target, String version, UserTerminal terminal) {
    try {
      SynchroTargerManager.getManager().addSynchroTargetListener(target, version, terminal);
    } catch (Exception ex)  {
      LogManager.traceError(0,"FODBSynchroManager registerSynchroTargetWrapper register service error");
      LogManager.traceError(0,ex);
   }
  }
}
