/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.embedded.webserver.test;

import java.util.Properties;

import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.embedded.webserver.WebServer;

/**
 * @author Romain Beaugrand
 *
 */
public final class StartPDA {
    
	public static void main(String[] args) {
		
		System.out.println("Starting PDA server FR version 0.5");
		System.out.println("User.dir : "+System.getProperty("user.dir"));
		
		StartPDA startPDA = new StartPDA();
		
		try	{
			System.out.println("new start WebServer");

			try  {

				System.out.println("start WebServer");
				
				Properties  props = new Properties();
				props.put("LOGFILE", System.getProperty("user.dir")+"/WEB-INF/log/server/log");
				LogManager.registerLogManager(props); //log to a file
				
				WebServer server = null;
				if (args != null && args.length > 0) {
				    server = new WebServer(args[0]);
				} else {
				    server = new WebServer();
				}
				
	    		server.serve();
    		} catch (Throwable ex)	{
    		    ex.printStackTrace();
    		    // start IE
    		    System.out.println("start IE");
    		    //System.loadLibrary("ExecDLL2002");
    		    // SystemAPI.execProgram("\\Windows\\iexplore.exe", "http://localhost:9090/services/index/"+Long.toString(SystemAPI.currentTimeInMillis())); //use to correct a bug in IE that deos not reload page
    		    //SystemAPI.execProgram("\\Windows\\iexplore.exe", ""); //use to correct a bug in IE that deos not reload page
    		}
		} catch (Throwable ex)	{
			ex.printStackTrace();
		}
	}

}
