/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2005 Modification Romain Beaugrand
 * 
 */

package org.openmobileis.embedded.webserver.test.services.servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * URL http://127.0.0.1:9091/testservlet
 * @author Romain Beaugrand
 *  
 */
public class TestServletServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
 
    /*
     * Start service from GET method, same behavior as POST @param req the
     * servlet request @param req the servlet response @exception
     * ServletException when an exception has occurred
     */
    
    public TestServletServlet() {
    }
    
    public void init() throws ServletException {
    }
    
    public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
        this.processRequest(req, res);
    }

    /**
     * Call service from POST method
     * 
     * @param req
     *            the servlet request
     * @param req
     *            the servlet response
     * @exception ServletException
     *                when an exception has occurred
     */
    public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
        this.processRequest(req, res);
    }

    private void processRequest(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
        res.setContentType("text/html");
        
        StringBuffer sb = new StringBuffer(200);
/*        sb.append("<HTML>\n").append("<HEAD><TITLE>Test Servlet</TITLE></HEAD>\n")
        		.append("<BODY>\n").append("ServletName : "+this.getServletName())
        		.append("\n</BODY></HTML>\n\0");*/
        sb.append("<HTML>\n").append("<HEAD><TITLE>Test Servlet</TITLE></HEAD>\n")
		.append("<BODY>\n")
		.append("ServletInfo : "+this.getServletInfo())
		.append("\n<br>\nServletName : "+this.getServletName())
		.append("\n<br>\nMajor version : "+this.getServletContext().getMajorVersion())
		.append("\n<br>\nMinor version : "+this.getServletContext().getMinorVersion())
        .append("\n<br>\nInit Parameters");
        
        Enumeration enuma = this.getInitParameterNames();
        while (enuma.hasMoreElements()) {
            String parameterName = (String)enuma.nextElement();
            String parameterValue = this.getInitParameter(parameterName);
            sb.append("\n  <br>&nbsp;&nbsp;&nbsp;&nbsp;Name : "+parameterName);
            sb.append("\n  <br>&nbsp;&nbsp;&nbsp;&nbsp;Value : "+parameterValue);
        }
        
        sb.append("\n<br>\nAttributes");
        enuma = this.getServletContext().getAttributeNames();
        while (enuma.hasMoreElements()) {
            String attributeName = (String)enuma.nextElement();
            String attributeValue = this.getInitParameter(attributeName);
            sb.append("\n  <br>&nbsp;&nbsp;&nbsp;&nbsp;Name : "+attributeName);
            sb.append("\n  <br>&nbsp;&nbsp;&nbsp;&nbsp;Value : "+attributeValue);
        }
        
		sb.append("\n<br>\nServer info : "+this.getServletContext().getServerInfo())
		.append("\n<br>\nServletContextName : "+this.getServletContext().getServletContextName())
		.append("\n</BODY></HTML>\n");
        //res.setContentLength(sb.length());
        
        PrintWriter out = res.getWriter();
        //ServletOutputStream out = res.getOutputStream();
        
        out.print(sb.toString());
    }

}