/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2005 Creation P.Delrieu
 * 
 */

package org.openmobileis.modules.crm.data.common;

import java.io.Serializable;


/**
 * Title:         OpenMobileIS project source <BR>
 * Description:   
 * 
 * @author	Philippe Delrieu 2002
 * @since	JDK 1.1
 * @version 1.0.
 */
public class DefaultRepresentant implements Representant, Serializable	{
  protected static final long serialVersionUID = 5521257935120563452L;

	private String langue="fr";
	private String id;
//	private String[] secteurGeo;
	private boolean installRep;
	private boolean selectedRep;
	private String profil="";

	/**
	 * Constructor for Representant.
	 */
	protected DefaultRepresentant() {
		super();
	}

	/**
	 * Constructor for Representant.
	 * @param id
	 */
	public DefaultRepresentant(String id) {
		this.id = id;
	}

/*	public String[] getRepresentantSectorList()	{
		return secteurGeo;
	}*/
	
/*	public void setRepresentantSectorList(String[] sectorList)	{
		secteurGeo = sectorList;
	}*/


	public String getRepresentantId()	{
		return this.id;
	}

	/**
	 * Returns the langue.
	 * @return String
	 */
	public String getLangue() {
		return langue;
	}

	/**
	 * Sets the langue.
	 * @param langue The langue to set
	 */
	public void setLangue(String langue) {
		this.langue = langue;
	}
	
	public boolean isInstallRepresentant()	{
		return installRep;
	}
	public void setInstallRepresentant(boolean bool)	{
		installRep = bool;
	}
	
	public boolean isSelectedRepresentant()	{
		return selectedRep;
	}
	public void setSelectedRepresentant(boolean bool)	{
		selectedRep = bool;
	}
  /**
   * @return
   */
  public String getProfil() {
    return profil;
  }

  /**
   * @param string
   */
  public void setProfil(String string) {
    profil = string;
  }

}
