/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.modules.crm.data.common;

import java.io.Serializable;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:   
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface Representant extends Serializable {
	public static final long serialVersionUID = 5521257935120563452L;
	public static final String USER="0";
	public static final String USERRESP="1";
	public static final String ADMIN="2";
	public static final String INTRANET="3";
	/**
	 * Returns the langue.
	 * @return String
	 */
	public String getLangue();

	/**
	 * Sets the langue.
	 * @param langue The langue to set
	 */
	public void setLangue(String langue);
	
	public String getRepresentantId();
//	public String[] getRepresentantSectorList();
	public boolean isInstallRepresentant();
	public void setInstallRepresentant(boolean bool);
	public boolean isSelectedRepresentant();
	public void setSelectedRepresentant(boolean bool);
	public String getProfil();
	public void setProfil(String string);
}
