/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.modules.crm.data.common;

import org.openmobileis.database.DatabaseException;
import org.openmobileis.common.util.exception.ServiceException;

/**
 * Title:        OpenMobileIS Project
 * Description:   
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface RepresentantFactory  {
	
	
	public String[] getRepIdsList();
  
	public Representant getRepresentant(String id);
  
	public Representant getSelectedRepresentant();
  
	public void setSelectedRepresentant(String id) throws ServiceException, DatabaseException ;
  
	public Representant getInstallRepresentant();
  
	public void setInstallRepresentant(String id) throws ServiceException, DatabaseException;
    
	public Representant[] getAllRepresentants() throws DatabaseException;
   
  /**
   * called by synchro server to create the representant DB
   */
	public void addRepresentant(Representant rep) throws ServiceException, DatabaseException;
  
	public void removeRepresentant(String repId) throws ServiceException, DatabaseException;
}
