/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.modules.crm.database.common.fodb;

import org.openmobileis.modules.crm.data.common.DefaultLabel;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: USe to manage the pair identifier/label used by article, visite type and contact type.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class FODBLabel	extends DefaultLabel {

	static final long serialVersionUID = 5521257935120563452L;

	public FODBLabel(String id, String category, String label) {
		super(id, category, label);
	}
	
	 public FODBLabel(String id, String category, String label, String language) {
	    super(id, category, label, language);
	  }
	
	public String getLabelCategoryId()	{
		return FODBLabel.convertIdsToLabelObjectIds(this.getLabelId(), this.getCategory());
	}
	 
	public static String convertIdsToLabelObjectIds(String labelid, String category)	{
		 StringBuffer str = new StringBuffer(labelid);
		 str.append('%');
		 str.append(category);
		 return str.toString();
	}
	
	public static String[] getLabelIdAndCatIdFromId(String id)	{
		String ret[] = new String[2];
		int index = id.indexOf('%');
		if (index != -1)	{
			ret[0] = id.substring(0, index);
			ret[1] = id.substring(index+1, id.length());
		}
		return ret;
	}

}
