/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2005 Modification F.Salque
 * 
 */
package org.openmobileis.modules.crm.database.common.fodb;

import org.openmobileis.common.context.SessionContext;
import org.openmobileis.common.context.SessionContextManager;
import org.openmobileis.common.util.exception.SynchroException;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.database.DatabaseException;
import org.openmobileis.database.fastobjectdb.synchro.client.SynchroFODBReturnListener;
import org.openmobileis.modules.crm.data.common.Representant;
import org.openmobileis.modules.crm.data.common.RepresentantManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class RepresentantSynchroFODBReturnListener implements SynchroFODBReturnListener {

  /**
   * 
   */
  public RepresentantSynchroFODBReturnListener() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyBeginDBUpdate(java.lang.Object)
   */
  public Object notifyBeginDBUpdate(Object object) throws DatabaseException {
    return null;
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyDBDelete(java.lang.String)
   */
  public void notifyDBDelete(String objectId) throws DatabaseException {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifySynchroBegin()
   */
  public void notifySynchroBegin() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifySynchroEnd()
   */
  public void notifySynchroEnd() {
  	//update install representant with new one
  	try	{
			Representant[] replist = RepresentantManager.getManager().getAllRepresentants();
			for (int i=0; i<replist.length; i++)	{
				if (replist[i].isInstallRepresentant())	{
					RepresentantManager.getManager().setInstallRepresentant(replist[i].getRepresentantId());
					RepresentantManager.getManager().setSelectedRepresentant(replist[i].getRepresentantId());
					break;
				}
			}
  	} catch (Throwable ex)	{
  		LogManager.traceError(0, ex);
  	}
  	
		SessionContext context = (SessionContext) SessionContextManager.getManager().getSessionContext();
		Representant rep = RepresentantManager.getManager().getInstallRepresentant();
		if (rep != null)	{
			context.setAttribute("userId",rep.getRepresentantId());
		}
  }

  /* (non-Javadoc)
   * @see org.openmobileis.database.fastobjectdb.synchro.SynchroFODBReturnListener#notifyFODBObjectSynchroDone(java.lang.String)
   */
  public void notifyFODBObjectSynchroDone(String ObjectId) throws SynchroException {
  }

}
