/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2005 Creation P.Delrieu
 *  2005 Modified F.Salque
 * 
 */

package org.openmobileis.modules.crm.database.common.jdbc;

import java.sql.ResultSet;

import org.openmobileis.common.util.database.ManagerDB;
import org.openmobileis.database.DatabaseException;
import org.openmobileis.modules.crm.data.common.Representant;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public interface RepresentantJDBCQuery {
	public Representant convertResultSetToRepresentant (ResultSet result) throws DatabaseException;
	public ManagerDB getDbManager();
	public abstract String[] getInsertParamFromRepresentant(Representant rep);
	public abstract String[] getUpdateParamFromRepresentant(Representant rep);
	public ResultSet getRepIdsList () throws DatabaseException;
	public ResultSet getRepresentant (String[] param) throws DatabaseException;
	public ResultSet getAllRepresentants () throws DatabaseException;
	public void insertRepresentant (String[] param) throws DatabaseException;
	public void updateRepresentant (String[] param) throws DatabaseException;
	public void deleteRepresentant (String[] param) throws DatabaseException;

}
