/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 *  2004 Modified by Romain Beaugrand
 * 
 */

package org.openmobileis.services.servlet;

import org.openmobileis.common.util.exception.ServiceException;

/**
 * 
 * Title:        OpenMobileIS project source <BR>
 * Description: Interface use to declare a class that will be call during
 * servlet initialisation.
 * preLoadingInit() is call before service loading
 * postLoadingInit() is call after service loading
 * 
 * To register your class define the property : org.openmis.services.initclass=<class name>
 * Put this property in the openmis.properties.
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public interface OpenMISInit {

    public void preLoadingInit() throws ServiceException;
    public void postLoadingInit() throws ServiceException;
    
}
