/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2002  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2002 Creation P.Delrieu
 * 
 */

package org.openmobileis.services.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.intl.IntlResourceManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.common.util.log.LogServices;
import org.openmobileis.embedded.webserver.templates.TemplateManager;
import org.openmobileis.embedded.webserver.templates.TemplateNotFoundException;

import freemarker.template.SimpleScalar;
import freemarker.template.TemplateModelRoot;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * register this servlet with this URL /common
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class PasswordFormServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;

  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
		String templateName="openmischannel/passwordform.htm";
    try {
			TemplateModelRoot modelRoot = TemplateManager.getManager().getTemplateModelRoot();
			//manage error
			String error = (String)req.getSession(true).getAttribute("security.pass.form");
			if (error !=null)	{
      	modelRoot.put("errorMessage", new SimpleScalar(error));
				req.getSession(true).removeAttribute("security.pass.form");
			}      
      
      TemplateManager.getManager().sendResponse(templateName, modelRoot, res);
    } catch (TemplateNotFoundException ex)  {
      try {
        IntlResourceManager resourceManager = IntlResourceManager.getManager();
        String title = resourceManager.getLocalizedProperty("TemplateService.ExecError");
        res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error Template not found name :"+templateName);
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    } catch (Exception ex) {
      try {
        IntlResourceManager resourceManager = IntlResourceManager.getManager();
        String title = resourceManager.getLocalizedProperty("TemplateService.ExecError");
        res.sendError(HttpServletResponse.SC_INTERNAL_SERVER_ERROR, title);
      } catch (Exception exi)  {
      }
      LogManager.traceAlert(LogServices.WEBSERVICE, "Error during execution of Service show password form");
      LogManager.traceAlert(LogServices.WEBSERVICE, ex);
    }
  }

}
