/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2002  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2002 Creation P.Delrieu
 * 
 */

package org.openmobileis.services.servlet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.common.intl.IntlResourceManager;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.common.util.log.LogServices;
import org.openmobileis.services.common.ServiceManager;
import org.openmobileis.services.security.SecurityManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class ValidatePasswordServlet extends HttpServlet {
  static final long serialVersionUID = 5521257935120563452L;
  private static final String indexUrl="/index";
	
  public void service( HttpServletRequest req, HttpServletResponse res ) throws ServletException, java.io.IOException {
  	try	{
	  	String pass = req.getParameter("password");
	  	if ((pass==null)||(pass.length() ==0))	{
	  		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("ValidatePasswordServlet.error.nopassword"));
	  		ServiceManager.getManager().redirectToServiceURI("/common/showpassform", req, res);
	  		return;
	  	}
		  
		  if (SecurityManager.getManager().validateServicePass(pass)){
//		  	SecurityManager.getManager().setServicePass(pass);
  			SecurityManager.getManager().setServiceCall();
        ServiceManager.getManager().redirectToServiceURI(indexUrl, req, res);
	  		return;
		  }
  	} catch (Throwable ex)	{
  		LogManager.traceError(LogServices.WEBSERVICE, ex);
  	}
		req.getSession(true).setAttribute("security.pass.form", IntlResourceManager.getManager().getLocalizedProperty("ValidatePasswordServlet.error.badpassword"));
    ServiceManager.getManager().redirectToServiceURI("/showpassform", req, res);
		return;
  }

}
