/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.algo.replication;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Implements default Atomic Object behaviours..
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public class DefaultSynchroAtomicObject implements SynchroAtomicObject {
  static final long serialVersionUID = 5521257935120563452L;

  private String uid;
  private String checksum;
  private long syncnumber;
  private short modificationType;
  private long creationDate;

  public DefaultSynchroAtomicObject(String id, String sum, long syncnumber, short type, long creationdate) {
    uid = id;
    checksum=sum;
    this.syncnumber=syncnumber;
    modificationType = type;
    creationDate = creationdate;
  }
  public DefaultSynchroAtomicObject(String id, String sum) {
    uid = id;
    checksum=sum;
    syncnumber=0;
    creationDate = 0;
    modificationType = SynchroAtomicObject.ADD;
  }

  public long getCreationDate() {
    return creationDate;
  }

  public String getUID() {
    return uid;
  }

  public String getCheckSum() {
    return checksum;
  }
  public void setCheckSum(String sum) {
    checksum = sum;
  }

  public long getModifSyncNumber() {
    return syncnumber;
  }
  public void setModifSyncNumber(long ts)  {
    syncnumber = ts;
  }

  public short getModificationType() {
    return modificationType;
  }

  public void setModificationType(short type) {
    modificationType = type;
  }

  public boolean equals(Object obj) {
    if (obj instanceof SynchroAtomicObject) {
      if(((SynchroAtomicObject)obj).getUID().equals(uid)) {
        return true;
      }
    }
    return false;
  }

  public int hashCode() {
    return uid.hashCode();
  }
}