/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.algo.replication;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Event send by the replication algorythm during client and server modification management.
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public class ReplicationSAOEvent {

  public static final short SERVER_SIDE = 0;
  public static final short CLIENT_SIDE = 1;
  
  public static final short CREATE = 1;
  public static final short UPDATE = 2;
  public static final short DELETE = 3;
  
  private String AOid;
  private short updateSide;
  private short typeModif;
  private SynchroAtomicObject atomicobject;
  
  public ReplicationSAOEvent(String id) {
    super();
    this.AOid = id;
  }

  public String getAtomicObjectID(){
    return this.AOid;
  }
  
  public void setUpdateSide(short updateSide){
    this.updateSide = updateSide;
  }
  
  public short getUpdateSide(){
    return this.updateSide;
  }
  
  public void setTypeModif(short typeModif){
    this.typeModif = typeModif;
  }
  
  public short getTypeModif(){
    return this.typeModif;
  }

  public SynchroAtomicObject getAtomicObject() {
    return atomicobject;
  }

  public void setAobject(SynchroAtomicObject aobject) {
    this.atomicobject = aobject;
  }
  
}
