/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.algo.syncnumber;

import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.synchro.algo.syncnumber.impl.SyncNumberQueryManager;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public interface SyncNumberManagerDelegate {
  
  public void setSyncNumberFactory(SyncNumberQueryManager fac);
  public void initDelegate();

  public SynchroNumber getSynchroNumber(long ns) throws SyncNumberNotFoundException;
  public SynchroNumber getNextSynchroNumber() throws SyncNumberNotFoundException;
  public void deleteSyncNumber(SynchroNumber ns);
  public void createSynchroNumber(long ns, long timestamp)  throws ServiceException;
  public void setTimeStampForSynchroNumber(long syncNumber); 
  public long getTimeStampForSynchroNumber(long syncNumber)  throws SyncNumberNotFoundException;
}