/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2004  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */
package org.openmobileis.synchro.algo.syncnumber.impl;

import org.openmobileis.common.util.exception.ServiceException;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberManagerDelegate;
import org.openmobileis.synchro.algo.syncnumber.SyncNumberNotFoundException;
import org.openmobileis.synchro.algo.syncnumber.SynchroNumber;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class EmptySyncNumberManagerDelegate implements SyncNumberManagerDelegate {
  private long syncnumber = 0;
  /**
   * 
   */
  public EmptySyncNumberManagerDelegate() {
    super();
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#setSyncNumberFactory(org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberQueryManager)
   */
  public void setSyncNumberFactory(SyncNumberQueryManager fac) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#initDelegate()
   */
  public void initDelegate() {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getSynchroNumber(long)
   */
  public SynchroNumber getSynchroNumber(long ns) throws SyncNumberNotFoundException {
    return new SynchroNumber(ns, 0);
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getNextSynchroNumber()
   */
  public SynchroNumber getNextSynchroNumber() throws SyncNumberNotFoundException {
    syncnumber +=1;
    return new SynchroNumber(syncnumber, syncnumber);
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#deleteSyncNumber(org.openmobileis.commonserver.synchro.nsmanagement.SynchroNumber)
   */
  public void deleteSyncNumber(SynchroNumber ns) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#createSynchroNumber(long, long)
   */
  public void createSynchroNumber(long ns, long timestamp) throws ServiceException {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#setTimeStampForSynchroNumber(long)
   */
  public void setTimeStampForSynchroNumber(long syncNumber) {
  }

  /* (non-Javadoc)
   * @see org.openmobileis.commonserver.synchro.nsmanagement.SyncNumberManagerDelegate#getTimeStampForSynchroNumber(long)
   */
  public long getTimeStampForSynchroNumber(long syncNumber) throws SyncNumberNotFoundException {
    return syncNumber;
  }

}
