/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.client;

import java.util.Hashtable;

import org.openmobileis.synchro.openmsp.client.conduit.SynchroConduit;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class SynchroDescriptor {
 // protected String syncSource;
 // protected String syncTarget;
  protected SynchroConduit synchroConduit;
  protected String SynchroGroup;
  protected String serverURL;
  protected Hashtable propertiesList;

  /**
   * 
   */
  public SynchroDescriptor() {
    super();
    propertiesList = new Hashtable(10);
  }

  public SynchroConduit getSynchroConduit() {
    return synchroConduit;
  }

  public void setSynchroConduit(SynchroConduit synchroConduit) {
    this.synchroConduit = synchroConduit;
  }

  public String getSynchroGroup() {
    return SynchroGroup;
  }

  public void setSynchroGroup(String synchroGroup) {
    SynchroGroup = synchroGroup;
  }

  public String getServerURL() {
    return serverURL;
  }

  public void setServerURL(String serverURL) {
    this.serverURL = serverURL;
  }
  
  public String getProperty(String name)  {
    return (String) propertiesList.get(name);
  }
  
  public void addProperty(String name, String value)  {
    propertiesList.put(name, value);
  }

}
