/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
import org.openmobileis.common.util.exception.SynchroException;
import org.openmobileis.common.util.log.LogServices;

public class OpenMSPException extends SynchroException {
  static final long serialVersionUID = 5521257935120563452L;

  public OpenMSPException() {
   super();
  }

  public OpenMSPException(int priority) {
    super(priority);
  }

  public OpenMSPException(String msg, Throwable t) {
    super(msg,t);
  }

  public OpenMSPException(String msg, Throwable t, int priority) {
    super(msg, t, priority);
  }

  public OpenMSPException(String msg) {
    super(msg);
  }

  public OpenMSPException(String msg, int priority) {
    super(msg, priority);
  }

  public OpenMSPException(Throwable t) {
    super(t);
  }

  public OpenMSPException(Throwable t, int priority) {
    super(t, priority);
  }

  /**
   * return  the service id : LogServices.SYNCHROSERVICE
   * @return int LogServices.SYNCHROSERVICE
   * @see org.openmobileis.common.util.log.LogServices
   */  
  public int getService()  {
   return LogServices.SYNCHROSERVICE;
  }
}