/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.openmsp.client.core.test;

import org.openmobileis.common.util.collection.Array;
import org.openmobileis.common.util.log.LogManager;
import org.openmobileis.synchro.openmsp.client.OpenMSPSyncListener;
import org.openmobileis.synchro.openmsp.client.core.ListenerOrdonancer;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class TestListenerOrdonancer {
   /**
   * 
   */
  public TestListenerOrdonancer() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @param args
   */
  public static void main(String[] args) {
    LogManager.registerLogManager(null);
    // Add listener
    //simple add
    ListenerOrdonancer ordonancer = new ListenerOrdonancer();
    TestSynchroListener listener = new TestSynchroListener("1");
    ordonancer.addListener(listener, null);
    
    //add with simple dependance.
    listener = new TestSynchroListener("2");
    ordonancer.addListener(listener, new String[]{"1"});

    //add with not registered dependance.
    listener = new TestSynchroListener("4");
    ordonancer.addListener(listener, new String[]{"1", "3"});

    //add listener of last depence with new dependance.
    listener = new TestSynchroListener("3");
    ordonancer.addListener(listener, new String[]{"1", "2"});

    //add listener 
    listener = new TestSynchroListener("5");
    ordonancer.addListener(listener, null);

    //add listener 
    listener = new TestSynchroListener("6");
    ordonancer.addListener(listener, new String[]{"4", "5"});

    //add listener 
    listener = new TestSynchroListener("7");
    ordonancer.addListener(listener, new String[]{"5"});
  
    //testSynchro
    ordonancer.beginSynchro();
    //first phase
    Array list = ordonancer.getNextListenerList();
    for (int i=0; i<list.size(); i++) {
      OpenMSPSyncListener oplistener = (OpenMSPSyncListener) list.get(i);
      LogManager.traceInfo(0, "Phase :1 listener :"+oplistener.getSyncName());
    }
    //set 1 in error
    ordonancer.notifySynchroError("1");
    
    //second phase
    list = ordonancer.getNextListenerList();
    for (int i=0; i<list.size(); i++) {
      OpenMSPSyncListener oplistener = (OpenMSPSyncListener) list.get(i);
      LogManager.traceInfo(0, "Phase :2 listener :"+oplistener.getSyncName());
    }
   
    //third phase
    list = ordonancer.getNextListenerList();
    for (int i=0; i<list.size(); i++) {
      OpenMSPSyncListener oplistener = (OpenMSPSyncListener) list.get(i);
      LogManager.traceInfo(0, "Phase :3 listener :"+oplistener.getSyncName());
    }
     
    //four phase
    list = ordonancer.getNextListenerList();
    for (int i=0; i<list.size(); i++) {
      OpenMSPSyncListener oplistener = (OpenMSPSyncListener) list.get(i);
      LogManager.traceInfo(0, "Phase :4 listener :"+oplistener.getSyncName());
    }

  }

}
