/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.client.db;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description:  Define an action made on the embedded database that has to be synchronized during next synchro.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class ActionDB implements java.io.Serializable {
    
    public static final int ADD_ACTION=0;
    public static final int UPDATE_ACTION=1;
    public static final int DELETE_ACTION=2;
    static final long serialVersionUID = 5521257935120563452L;
  
		private String actionObjectUID;
		private String actionID;
    private int actionType;    
    private String actionServiceName;

    public ActionDB() {
    }
    
  /** Creates new ActionDB */
    public ActionDB(String serviceName, String uid, int type) {
			actionObjectUID = uid;
      actionType = type;
      actionServiceName = serviceName;
			actionID = ActionDB.getActionIdFromServiceAndUID(serviceName, uid);
    }
  public static String getActionIdFromServiceAndUID(String service, String uid)	{
		StringBuffer buff = new StringBuffer(service).append('/').append(uid);
		return buff.toString();
  }
    
	public String getActionObjectUID() {
		return actionObjectUID;
	}
    
	public String getActionID() {
		return actionID;
	}
    
    public int getActionType()  {
      return actionType;
    }
    
    public String getActionServiceName() {
      return actionServiceName;
    }
    
    

}
