/*
 *        OpenMobileIS - a free Java Framework for mobile applications
 *
 *   Copyright (C) 2002  Philippe Delrieu.
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Philippe Delrieu kept the rigth to distribute all code Copyrighted by philippe Delrieu
 *  under other licence term even commercial one.
 *  
 *  Modifications :
 *  2002 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.client.services;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.openmobileis.services.TemplateService;
import org.openmobileis.services.navigation.NavigationBarService;
import org.openmobileis.synchro.openmsp.client.OpenMSPSynchroManager;

import freemarker.template.*;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Service that show synchro login HTML page.
 * This page is use to get synchro authentification.
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class SynchroLoginService extends TemplateService implements NavigationBarService {

  private static final String templatePath="openmischannel"+java.io.File.separator+"synchrologin.htm";

  public SynchroLoginService() {
  }

  public String runTemplate(HttpServletRequest parm1, HttpServletResponse parm2, TemplateModelRoot templateRoot) throws java.io.IOException, ServletException {
    String login = OpenMSPSynchroManager.getManager().getLastSynchroLogin();
    templateRoot.put("action",new SimpleScalar("/synchro/direct"));
    if (login != null)  {
      templateRoot.put("login", new SimpleScalar(login));
    }
    return templatePath;
  }
	
	public String getNavigationBarLabel(HttpServletRequest req)	{
		return "Synchro login";
	}
	
	public boolean displayFormExitMessage() {
		return false;
	}
	
	public boolean displayRecursive() {
		return false;
	}

  /* (non-Javadoc)
   * @see org.openmobileis.services.Service#getName()
   */
  public String getName() {
    // TODO Auto-generated method stub
    return "/synchro/login";
  }
}