/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.openmsp.server.synctarget;

import org.openmobileis.synchro.algo.replication.DefaultSynchroAtomicObject;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: 
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public final class SyncDBSynchroAtomicObject extends DefaultSynchroAtomicObject {
  static final long serialVersionUID = 5521257935120563452L;
  private Object syncdata;
  private int openMSPcmdId;
  
  /**
   * @param id
   * @param sum
   * @param syncnumber
   * @param type
   * @param creationdate
   */
  public SyncDBSynchroAtomicObject(String id, String sum, long syncnumber, short type, long creationdate) {
    super(id, sum, syncnumber, type, creationdate);
  }

  /**
   * @param id
   * @param sum
   */
  public SyncDBSynchroAtomicObject(String id, String sum) {
    super(id, sum);
  }

  public Object getSyncdata() {
    return syncdata;
  }

  public void setSyncdata(Object syncdata) {
    this.syncdata = syncdata;
  }

  public int getOpenMSPcmdId() {
    return openMSPcmdId;
  }

  public void setOpenMSPcmdId(int openMSPcmdId) {
    this.openMSPcmdId = openMSPcmdId;
  }

}
