/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 *  
 *  Modifications :
 *  2004 Creation P.Delrieu
 * 
 */

package org.openmobileis.synchro.openmsp.server.util;

import java.io.*;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: define a virtual file system to manipulate file in memory.
 * @author  Philippe Delrieu
 * @since JDK 1.1
 * @version 1.0.
 */
public interface FileSystem extends java.io.Serializable {

 public int getFileCount();

 /**
  * return null if not found. Specify the the completeFileName
  */
 public OpenMISFile getFile(String completefileName);
  /**
   * Extends this method to add your own file management before adding a file.
   * call super.addFile to add the file to the existing file memory management.
   */
  public void addFile(OpenMISFile file) throws IOException;

  public OpenMISFile[] getFileList();

  /**
   save all manager file to disk using beginpath for base file repository
   @param String beginPath : base path of file. Must be terminated by the the file separator
  */
  public void saveToDisk(String beginPath) throws IOException;

  public void addAll(FileSystem fileSystem) throws IOException ;

  /**
   * clear all file in the file system.
   */
  public void clear();

  public void removeFile(String completefileName);
}