/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */
package org.openmobileis.synchro.openmsp.server.util;

import java.io.IOException;
import java.io.InputStream;

/**
 * Title:        OpenMobileIS project source <BR>
 * Description: Memory file use by synchro processus. Use this file to specify 
 * a zip file added to the synchro file. All file with the same zipFileName will be added to
 * this zip file.
 * Use by FODB synchro processus to add all collection file generated by complete synchro to
 * a zip file added to the synchro files.  
 * @author	Philippe Delrieu
 * @since	JDK 1.1
 * @version 1.0.
 */
public class ZipEntryMemoryFile extends MemoryFile {
  static final long serialVersionUID = 5521257935120563452L;
  private String zipFileName;
  /**
   * 
   */
  public ZipEntryMemoryFile() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @param data
   * @throws IOException
   */
  public ZipEntryMemoryFile(InputStream data) throws IOException {
    super(data);
    // TODO Auto-generated constructor stub
  }

  /**
   * @param completeName
   * @param data
   * @throws IOException
   */
  public ZipEntryMemoryFile(String completeName, InputStream data) throws IOException {
    super(completeName, data);
    // TODO Auto-generated constructor stub
  }

  /**
   * @param completeName
   * @param data
   * @throws IOException
   */
  public ZipEntryMemoryFile(String completeName, byte[] data) throws IOException {
    super(completeName, data);
    // TODO Auto-generated constructor stub
  }

  /**
   * @param name
   * @param path
   * @param data
   * @throws IOException
   */
  public ZipEntryMemoryFile(String name, String path, InputStream data) throws IOException {
    super(name, path, data);
    // TODO Auto-generated constructor stub
  }

  public String getZipFileName() {
    return zipFileName;
  }

  public void setZipFileName(String zipFileName) {
    this.zipFileName = zipFileName;
  }

}
