/*
 * OpenMobileIS - a free Java(TM) Framework for mobile applications Java(TM)
 * Copyright (C) 2004-2005 Philippe Delrieu
 * All rights reserved.
 * Contact: openmobileis@e-care.fr
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  Author : Philippe Delrieu
 * 
 */

package org.openmobileis.synchro.security.auth;

/**
* Title:        OpenMobileIS project source
* Description:	Use by all class that need credential facility
* 				A credential is composed by a principal and a password.
* @author	Philippe Delrieu
* @since	JDK 1.1
* @version 1.0.
* @see org.openmobileis.common.util.exception.DefaultException
*/

public class Credential {

  private String principal;
  private String pwd;

  public Credential(String u, String p) {
    principal = u;
    pwd = p;
  }

  public String getPrincipal()  {
    return principal;
  }

  public String getPassword() {
    return pwd;
  }
}